{
	"name": "ecs_utils",
	"authors": [
		"Michał Masiukiewicz", "Dawid Masiukiewicz"
	],
	"description": "Dynamic Entity Component System examples utils",
	"copyright": "Copyright © 2018-2019, Michał Masiukiewicz, Dawid Masiukiewicz",
	"license": "BSD 3-clause",
	"sourcePaths" : [
		"source",
		"../external/sources"
	],
	"importPaths": [
		"source",
		"../external/sources"
	],
	"dependencies": {
		"bindbc-sdl":"0.13.0",
		"ecs":{"path":"../../"}
	},
	"versions": [
		"BindSDL_Image",
		"SDL_2010"
	],
	
	"configurations" : [
		{
			"name" : "default",
			"targetType" : "library",
			"subConfigurations": 
			{
				"bindbc-sdl": "static",
				"ecs":"library"		
			}
		},
		{
			"name" : "betterC",
			"targetType" : "library",
			"dflags": [
				"-betterC"
			],
			"subConfigurations": 
			{
				"bindbc-sdl": "staticBC",
				"ecs":"library-betterC"	
			}
		}
	]
}